Endpoint Examples

/data

Get cost of living data by county

GET /data

Get the cost of living index for all available counties. Given the small size of the dataset, you may find caching the entire dataset rather than querying as-needed to be optimal.

Query Parameters

NameTypeDescription
datarunenumSpecific area datarun version to use.
This parameter is optional.
Default: 2026.3
Must be one of: 2025.3, 2025.4, 2026.1, 2026.2, 2026.3

Code Examples

curl --request GET \
     --url https://api.lightcast.io/costofliving/data \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": {
    "16057": 1.002,
    "51510": 1.405
  }
}

POST /data

Get cost of living index for requested set of counties. Counties that are invalid or don't exist in the data will be returned with the value null.

Query Parameters

NameTypeDescription
datarunenumSpecific area datarun version to use.
This parameter is optional.
Default: 2026.3
Must be one of: 2025.3, 2025.4, 2026.1, 2026.2, 2026.3

Request Body

[
  "16057",
  "51510"
]

Code Examples

curl --request POST \
     --url https://api.lightcast.io/costofliving/data \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>' \
     --header 'content-type: application/json' \
     --data '["16057"]'

Response Examples

{
  "data": {
    "16057": 1.007
  }
}
{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}